CREATE TABLE IF NOT EXISTS  "wd_construct_description" (
"id" int NOT NULL AUTO_INCREMENT,
"wd_system_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '万达系统编码',
"floor_id" varchar(60) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '楼层id',
"remark" text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '说明',
"group_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '集团编码',
"project_id" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '项目id',
"valid" int DEFAULT '1',
"create_time" datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
"update_time" datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
PRIMARY KEY ("id")
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS  "wd_define_type_rel" (
"id" int NOT NULL AUTO_INCREMENT,
"wd_model_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '所属功能模块编码',
"wd_system_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '系统编码',
"wd_system_name" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '系统名称',
"bim_type_id" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'BIM构建编码',
"wd_class_name" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '类型名称',
"obj_type" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '对象类型：space，equipment，materia',
"wd_class_code" varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
PRIMARY KEY ("id")
) ENGINE=InnoDB AUTO_INCREMENT=1219 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS "wd_equip_type_rel" (
"id" int NOT NULL AUTO_INCREMENT,
"system_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '系统编码',
"system_name" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '系统名称',
"bim_type_id" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'BIM构建编码',
"class_name" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '类型名称',
PRIMARY KEY ("id")
) ENGINE=InnoDB AUTO_INCREMENT=731 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin;


CREATE TABLE  IF NOT EXISTS "wd_materia_type_rel" (
"id" int NOT NULL AUTO_INCREMENT,
"system_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '系统编码',
"bim_type_id" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'BIM构建编码',
"class_name" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '类型名称',
"class_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
PRIMARY KEY ("id")
) ENGINE=InnoDB AUTO_INCREMENT=4681 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin;

CREATE TABLE  IF NOT EXISTS "wd_space_type_rel" (
"id" int NOT NULL AUTO_INCREMENT,
"model_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '所属功能模块编码',
"system_code" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '系统编码',
"system_name" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT '系统名称',
"bim_type_id" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'BIM构建编码',
"class_name" varchar(40) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '类型名称',
PRIMARY KEY ("id")
) ENGINE=InnoDB AUTO_INCREMENT=626 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin;


CREATE TABLE  IF NOT EXISTS "wd_object_count" (
    "id" int NOT NULL AUTO_INCREMENT COMMENT 'id',
     "group_code" varchar(40) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '集团编码',
    "project_id" varchar(40) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '项目id',
    "build_id" varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '建筑id',
    "floor_id" varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '楼层id',
    "system_code" varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '系统编码',
    "bim_type_id" varchar(200) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'BIM构建编码',
    "class_name" varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '类型名称',
    "count" int DEFAULT NULL COMMENT '对象数量',
    "area" double(10,2) DEFAULT NULL,
    "valid" int DEFAULT '1',
    "create_time" datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    "update_time" datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY ("id")
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;